#!/usr/bin/perl
use utf8;
BEGIN { $| = 1; }
use Cwd 'realpath';
use warnings;
use strict;
use DB_File;
use DBM_Filter;
use Encode;

my $root = '';
my $bindir = '';
my $etcdir = '';
my $lexdir = '';

($root) = $0 =~ /^(.*)\/[^\/]*/;
$root = realpath($root);
$ENV{DANGRAM_ROOT} = $root;
$ENV{DANGRAM_BIN} = $bindir = $root.'/bin';
$ENV{DANGRAM_ETC} = $etcdir = $root.'/etc';
$ENV{DANGRAM_LEX} = $lexdir = $root.'/lex';
$ENV{DANGRAM_USEDB} = 1;
$ENV{PATH} = $bindir.":".$ENV{PATH};
$ENV{LANGUAGE} = $ENV{LANG} = $ENV{LC_ALL} = 'en_DK.UTF-8';
$ENV{PERL_UNICODE} = 'SDAL';

my $cmdline = '';
$cmdline .= "$bindir/corpfilter.his";
$cmdline .= " | $bindir/hisp.pre";
$cmdline .= " | $bindir/hisptag";
$cmdline .= " | $bindir/hisp.post";
$cmdline .= " | $bindir/hisp.cgpre";
$cmdline .= " | vislcg3 -C UTF-8 -g $etcdir/hispcg.cg3b --no-mappings";
$cmdline .= " | $bindir/cleanmorf.pre";
$cmdline .= " | $bindir/cleanmorf.his";
$cmdline .= " | vislcg3 -C UTF-8 -g $etcdir/hispcg.cg3b";
$cmdline .= " | $bindir/line.vislcg";
$cmdline .= " | $bindir/niceline.brasil";
$cmdline .= " | $bindir/uppercase.perl";
$cmdline .= " | $bindir/hispcg2vislcg";
$cmdline .= " | vislcg3 -C UTF-8 -g $etcdir/hispcg.attach.cg3b --prefix '£'";
$cmdline .= " | $bindir/niceline.perl";
$cmdline .= " | $bindir/remove_secondary.hispdep";
$cmdline .= " | $bindir/cg2dep es";
$cmdline .= " | $bindir/remove_secondary.spansk";

#print STDERR $cmdline."\n";

open PIPE, "$cmdline|" or die $!;
while (<PIPE>) {
	print;
}
close PIPE;
